okkez です。

Ruby1.8.7 で Rails 2.0.2 が動きません。
# 自分でビルドしたのと Debian のパッケージを試しました。
以下で再現すると思います。

$ rails _2.0.2_ hoge
$ cd hoge
$ script/generate scaffold post title:string body:string published:boolean
$ rake db:migrate
$ script/server

でウェブブラウザから
http://localhost:3000/posts/new
にアクセスすると Internal Server Error になります。

Rails2.1.0 だと再現せず、きちんと動きます。
また Ruby1.8.6 と Rails2.0.2 の組み合わせもきちんと動くのは確認済です。
# 五月中はその組み合わせでコード書いていたので。
# Ruby1.8.6/Rails2.1.0 の組み合わせは試せていません。。。

RAILS_ROOT/log/development.log の内容はちょっと長いですが、以下の通りです。

/!\ FAILSAFE /!\  Thu Jun 05 13:32:23 +0900 2008
  Status: 500 Internal Server Error
  wrong number of arguments (2 for 1)
    /usr/lib/ruby/1.8/cgi/session.rb:267:in `respond_to?'
    /usr/lib/ruby/1.8/cgi/session.rb:267:in `initialize_without_cgi_reader'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/cgi_ext/session.rb:39:in
`initialize'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/cgi_process.rb:130:in
`new'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/cgi_process.rb:130:in
`session'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/cgi_process.rb:166:in
`stale_session_check!'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/cgi_process.rb:114:in
`session'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/base.rb:1131:in
`assign_shortcuts_without_flash'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/flash.rb:167:in
`assign_shortcuts'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/base.rb:518:in
`process_without_filters'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in
`process_without_session_management_support'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:in
`process'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in
`process'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in
`handle_request'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in
`dispatch'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in
`dispatch_cgi'
    /home/okkez/.gems/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in
`dispatch'
    /home/okkez/.gems/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:76:in
`process'
    /home/okkez/.gems/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in
`synchronize'
    /home/okkez/.gems/gems/mongrel-1.1.5/bin/../lib/mongrel/rails.rb:74:in
`process'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:159:in `process_client'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:158:in `each'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:158:in `process_client'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `run'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `initialize'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `new'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:285:in `run'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `initialize'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `new'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel.rb:268:in `run'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:282:in
`run'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:281:in
`each'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel/configurator.rb:281:in
`run'
    /home/okkez/.gems/gems/mongrel-1.1.5/bin/mongrel_rails:128:in `run'
    /home/okkez/.gems/gems/mongrel-1.1.5/lib/mongrel/command.rb:212:in `run'
    /home/okkez/.gems/gems/mongrel-1.1.5/bin/mongrel_rails:281
    /home/okkez/.gems/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:489:in
`load'
    /home/okkez/.gems/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:489:in
`load'
    /home/okkez/.gems/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in
`new_constants_in'
    /home/okkez/.gems/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:489:in
`load'
    /home/okkez/.gems/gems/rails-2.0.2/lib/commands/servers/mongrel.rb:64
    /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
    /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
    /home/okkez/.gems/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in
`require'
    /home/okkez/.gems/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in
`new_constants_in'
    /home/okkez/.gems/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in
`require'
    /home/okkez/.gems/gems/rails-2.0.2/lib/commands/server.rb:39
    /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
    /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
    script/server:3


他に何か必要な情報があれば教えてください。
メールを書いてる途中で
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=484351
こんな情報を見つけました、Rails のバージョンを上げるべきなのでしょうか?

よろしくお願いします。

-- 
okkez
okkez000 / gmail.com